package com.keao.edu.user.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_music_theory):
 */
public class ExamMusicTheory {

	/**  */
	private Integer id;
	
	/**  */
	private Long examinationBasicId;
	
	/** 等级 */
	private Integer level;
	
	/** 费用 */
	private java.math.BigDecimal fee;
	
	/**  */
	private String tenantId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public void setLevel(Integer level){
		this.level = level;
	}
	
	public Integer getLevel(){
		return this.level;
	}
			
	public void setFee(java.math.BigDecimal fee){
		this.fee = fee;
	}
	
	public java.math.BigDecimal getFee(){
		return this.fee;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
